/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.pdf.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.pdf.BlancoPdfConstants;
import blanco.pdf.resourcebundle.BlancoPdfResourceBundle;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoPdfWizardPage2 extends WizardPage {
    private static final BlancoPdfResourceBundle fBundle = new BlancoPdfResourceBundle();

    public BlancoPdfWizardPage2(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoPdfConstants.PRODUCT_NAME + "の紹介");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE).setText(BlancoPdfConstants.PRODUCT_NAME
                + " は下記のようなツールです。");
        new Label(container, SWT.NONE).setText("  1.ソースコード生成タイプ");
        new Label(container, SWT.NONE).setText("    "
                + "PDF 設定の記述内容に相当するソースコードを自動生成します。");

        setControl(container);
    }
}